import request from '@/utils/request'

export function searchmachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '机床名称流水号_查询数据'
    }
  })
}
export function searchgroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_组件名称_查询数据_新',
      param: '机床流水号=' + num + '=int'
    }
  })
}
export function searchTable(check1, machine, check2, groupNum, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基本件成组配套_查询数据_新',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machine + '=int&组件流水号_check=' + check2 + '=int&组件流水号=' + groupNum + '=int',
      pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function searchTable22(check1, machine, check2, groupNum, check3, year, check4, month, check5, time) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基本件成组配套_查询数据_新',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machine + '=int&组件流水号_check=' + check2 + '=int&组件流水号=' + groupNum + '=int&年_check=' + check3 + '=int&年=' + year + '=string&月_check=' + check4 + '=int&月=' + month + '=int&入库时间_check=' + check5 + '=int&入库时间=' + time + '=string'
    }
  })
}
export function searchTable1(check1, machine, check2, groupNum, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_车间采购出库_零件查询_新',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machine + '=int&组件流水号_check=' + check2 + '=int&组件流水号=' + groupNum + '=int',
      pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function processingStatus(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_成组配套加工进度_查询数据',
      param: '工艺计划流水号=' + num
    }
  })
}
// 查询表1标准件和外购件
export function searchTable01(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购部采购_查询物料_分配后_加供应商',
      param: `机床流水号_check=${params[0]}&机床流水号=${params[1]}&组件流水号_check=${params[2]}&组件流水号=${params[3]}&零件类型=${params[6]}`,
      Pagination: params[4] + '&' + params[5]
    }
  })
}
// 查询表1基本件
export function searchTable02(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购部采购_查询物料_基本件_分配后_加供应商_成组配套',
      param: `机床流水号_check=${params[0]}&机床流水号=${params[1]}&组件流水号_check=${params[2]}&组件流水号=${params[3]}`,
      Pagination: params[4] + '&' + params[5]
    }
  })
}
